Skip to main content
Upload captured artifact bytes

Authorizations

Authorization
string
header
required

Opaque Firedrill interactive or scoped machine credential. The CLI handles human-approved login; CI stores its scoped credential as FIREDRILL_TOKEN. Capabilities and project/environment ownership are rechecked at use.

Headers

x-fd-attempt-id
string
required

The owning run attempt.

x-fd-lease-token
string
required

The current attempt lease secret.

Path Parameters

runId
string
required
Required string length: 1 - 160
artifactId
string
required
Required string length: 1 - 160

Body

The body is of type file.

Maximum string length: 16777216

Response

The retained resource or operation response.

runId
string
required
attemptId
string
required
state
enum<string>
required
Available options:
pending,
available
uploadPath
string
required
downloadPath
string
required
id
string
required
name
string
required
kind
enum<string>
required
Available options:
file,
screenshot,
trace,
browser_events,
recording
mediaType
enum<string>
required
Available options:
image/png,
image/jpeg,
image/webp,
application/zip,
application/json,
text/plain,
text/markdown,
application/pdf,
application/octet-stream,
video/webm
bytes
number
required
sha256
string
required
capturedAt
string
required
metadata
object
required